XFcMatrix4 class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcMatrix4 Class Reference

4 by 4 matrix. More...

Collaboration diagram for XFcMatrix4:

[legend]
List of all members.

## Public Member Functions

| XFcMatrix4 ()
| Empty constructor.
| XFcMatrix4 (const XFcMatrix4 &aMatrix)
| Copy-constructor.
| XFcMatrix4 (const REAL aMatrix[4][4])
| Creation from an array of REALs.
| XFcMatrix4 (const XFcMatrix3 &aMatrix)
| Creation from a 3x3 matrix.
| XFcMatrix4 (const XFcMatrix3 &aMatrix, const XFcVector3 &aVector)
| Creation from an orientation matrix and a position vector.
XFcMatrix4 & | operator *= (const XFcMatrix4 &aMatrix)
| Multiplies this matrix with an another matrix.
XFcMatrix4 & | operator *= (const REAL &aArg)
| Multiplies this matrix with a REAL.
XFcMatrix4 & | operator *= (int aArg)
| Multiplies this matrix with an int.
XFcMatrix4 & | operator *= (float aArg)
| Multiplies this matrix with a float.
XFcMatrix4 | operator * (const XFcMatrix4 &aMatrix) const
| Creates a new matrix which contains the result of matrix * matrix operation.
XFcMatrix4 | operator * (const REAL &aArg) const
| Creates a new matrix which contains the result of this * REAL.
XFcMatrix4 | operator * (int aArg) const
| Creates a new matrix which contains the result of this * int.
XFcMatrix4 | operator * (float aArg) const
| Creates a new matrix which contains the result of this * float.

## Public Attributes

REAL | m [4][4]
| The contents of the 4x4 matrix in row-major order.

## Detailed Description

4 by 4 matrix.

See also:
  XFcMath

## Constructor & Destructor Documentation

XFcMatrix4::XFcMatrix4 | ( |  | ) | `[inline]`

| Empty constructor.

XFcMatrix4::XFcMatrix4 | ( | const XFcMatrix4 & | aMatrix | ) | `[inline]`

| Copy-constructor.

XFcMatrix4::XFcMatrix4 | ( | const REAL | aMatrix[4][4] | ) | `[inline]`

| Creation from an array of REALs.

XFcMatrix4::XFcMatrix4 | ( | const XFcMatrix3 & | aMatrix | ) | `[inline]`

| Creation from a 3x3 matrix.

XFcMatrix4::XFcMatrix4 | ( | const XFcMatrix3 & | aMatrix,
|  | const XFcVector3 & | aVector
| ) | `[inline]`

| Creation from an orientation matrix and a position vector.

## Member Function Documentation

XFcMatrix4 XFcMatrix4::operator * | ( | float | aArg | ) | const`[inline]`

| Creates a new matrix which contains the result of this * float.

XFcMatrix4 XFcMatrix4::operator * | ( | int | aArg | ) | const`[inline]`

| Creates a new matrix which contains the result of this * int.

XFcMatrix4 XFcMatrix4::operator * | ( | const REAL & | aArg | ) | const`[inline]`

| Creates a new matrix which contains the result of this * REAL.

XFcMatrix4 XFcMatrix4::operator * | ( | const XFcMatrix4 & | aMatrix | ) | const`[inline]`

| Creates a new matrix which contains the result of matrix * matrix operation.

XFcMatrix4 & XFcMatrix4::operator *= | ( | float | aArg | ) | `[inline]`

| Multiplies this matrix with a float.

XFcMatrix4 & XFcMatrix4::operator *= | ( | int | aArg | ) | `[inline]`

| Multiplies this matrix with an int.

XFcMatrix4 & XFcMatrix4::operator *= | ( | const REAL & | aArg | ) | `[inline]`

| Multiplies this matrix with a REAL.

XFcMatrix4 & XFcMatrix4::operator *= | ( | const XFcMatrix4 & | aMatrix | ) | `[inline]`

| Multiplies this matrix with an another matrix.

## Member Data Documentation

REAL XFcMatrix4::m[4][4]

| The contents of the 4x4 matrix in row-major order.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch